Bug 420016 - Spelling mistakes in German "Ausgabe" categories
Summary: Spelling mistakes in German "Ausgabe" categories
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: translation (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 09:37 UTC by hanasaki.momoko
Modified: 2020-12-06 11:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5,5.1.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hanasaki.momoko 2020-04-13 09:37:52 UTC
The default names of two of the categories under Ausgabe:Steuern are not correct:

"Einkommenssteuer" instead of Einkommensteuer
Solidarzuschlag instead of Solidaritätszuschlag

I am aware that both incorrect spellings are used quite frequently and that duden.de allows Einkommenssteuer as an alternative spelling but IMO kmymoney should still prefer the correct versions, after all I received a "Bescheid für 2019 über Einkommensteuer und Solidaritätszuschlag" not a "Bescheid für 2019 über Einkommenssteuer und Solidarzuschlag".
Comment 1 Thomas Baumgart 2020-12-05 21:30:04 UTC
Git commit 8abae0ba775c8133d5f5fc928004740916e5646f by Thomas Baumgart.
Committed on 05/12/2020 at 11:02.
Pushed by tbaumgart into branch '5.1'.

Adjusted names of German tax categories in account templates
FIXED-IN: 5.1.1

M  +2    -2    kmymoney/templates/de_DE/common.kmt
M  +2    -2    kmymoney/templates/de_DE/full.kmt

https://invent.kde.org/office/kmymoney/commit/8abae0ba775c8133d5f5fc928004740916e5646f
Comment 2 Ralf Habacker 2020-12-06 09:26:44 UTC
Git commit 1438ba612f256030f159593b7a814d421dea87fa by Ralf Habacker, on behalf of Thomas Baumgart.
Committed on 06/12/2020 at 09:26.
Pushed by habacker into branch '4.8'.

Adjusted names of German tax categories in account templates
FIXED-IN: 5.1.1
(cherry picked from commit 8abae0ba775c8133d5f5fc928004740916e5646f)

M  +2    -2    kmymoney/templates/de_DE/common.kmt
M  +2    -2    kmymoney/templates/de_DE/full.kmt

https://invent.kde.org/office/kmymoney/commit/1438ba612f256030f159593b7a814d421dea87fa
Comment 3 Ralf Habacker 2020-12-06 09:32:39 UTC
The problem and the fix was reported to gnucash, as the account template https://bugs.gnucash.org/show_bug.cgi?id=798038 is provided from there.
Comment 4 Thomas Baumgart 2020-12-06 11:45:52 UTC
Git commit 962bf73c524fa534a2f7d5093fbca3e0650ca438 by Thomas Baumgart.
Committed on 06/12/2020 at 11:13.
Pushed by tbaumgart into branch 'master'.

Adjusted names of German tax categories in account templates
FIXED-IN: 5.1.1

(cherry picked from commit 8abae0ba775c8133d5f5fc928004740916e5646f)

M  +2    -2    kmymoney/templates/de_DE/common.kmt
M  +2    -2    kmymoney/templates/de_DE/full.kmt

https://invent.kde.org/office/kmymoney/commit/962bf73c524fa534a2f7d5093fbca3e0650ca438